from vkwave.bots import Keyboard, ButtonColor

# menu
MENU = "Привет, друг! Это - бот инженерной школы. Инженерная школа - молодой проект на Механико-Математическом факультете НГУ."
MENU_KB = Keyboard()
MENU_KB.add_text_button(text="Пройти тест!", payload={"test": "-1"}, color=ButtonColor.POSITIVE)
MENU_KB.add_link_button(text="Общий чатик", link="https://vk.me/join/AJQ1dw97/SBEQYIyQdZfG69y")
MENU_KB.add_row()
MENU_KB.add_text_button(text="Пообщаться со студентом", payload={"student": "1"}, color=ButtonColor.PRIMARY)
MENU_KB.add_row()
MENU_KB.add_text_button(text="Пообщаться с преподавателем", payload={"teacher": "1"}, color=ButtonColor.PRIMARY)


# Student menu
ST_MENU = """Вот список студентов, которые могут рассказать тебе про Инженерную Школу
https://vk.com/cleverbitch - Булгакова Лиза, 2 курс
https://vk.com/shestakova__d - Шестакова Даша, 2 курс
https://vk.com/fossa_mar - Пискеева Даша, 2 курс
https://vk.com/brainkiller78 - Тищенко Данил, 1 курс
https://vk.com/skazaniyk - Хамутский Дима, 1 курс
https://vk.com/kirik229 - Шадрина Анжела, 2 курс
https://vk.com/dinazavrrrik - Коновалов Назар, 1 курс
https://vk.com/tenikeev - Еникеев Тимур, 1 курс
"""
ST_KB = Keyboard()
ST_KB.add_link_button(text="Булгакова Лиза", link="https://vk.com/cleverbitch")
ST_KB.add_link_button(text="Шестакова Даша", link="https://vk.com/shestakova__d")
ST_KB.add_row()
ST_KB.add_link_button(text="Пискеева Даша", link="https://vk.com/fossa_mar")
ST_KB.add_link_button(text="Тищенко Данил", link="https://vk.com/brainkiller78")
ST_KB.add_row()
ST_KB.add_link_button(text="Хамутский Дима", link="https://vk.com/skazaniyk")
ST_KB.add_link_button(text="Шадрина Анжела", link="https://vk.com/kirik229")
ST_KB.add_row()
ST_KB.add_link_button(text="Коновалов Назар", link="https://vk.com/dinazavrrrik")
ST_KB.add_link_button(text="Еникеев Тимур", link="https://vk.com/tenikeev")
ST_KB.add_row()
ST_KB.add_text_button(text="ХОЧУ ДОМОЙ!!!!!!!!!!!!!!!", payload={}, color=ButtonColor.NEGATIVE)

# Teacher menu
TC_MENU = """Вот список преподавателей, которые могут рассказать тебе про Инженерную Школу
https://vk.com/anastasia.v.karpenko - Карпенко Анастасия Валерьевна, преподаватель по логике и ОПД
https://vk.com/krkaushan - Насыбуллова Кристина Андреевна, 
https://vk.com/id11073597 - Насыбуллов Тимур Ринатович, преподаватель по Алгебре и геометрии и ТФКП
https://vk.com/yury_efremenko - Ефременко Юрий Данилович, преподаватель по Алгебре и геометрии."""
TC_KB = Keyboard()
TC_KB.add_link_button(text="Анастасия Валерьевна", link="https://vk.com/anastasia.v.karpenko")
TC_KB.add_link_button(text="Кристина Андреевна", link="https://vk.com/krkaushan")
TC_KB.add_row()
TC_KB.add_link_button(text="Тимур Ринатович", link="https://vk.com/id11073597")
TC_KB.add_link_button(text="Юрий Данилович", link="https://vk.com/yury_efremenko")
TC_KB.add_row()
TC_KB.add_text_button(text="ХОЧУ ДОМОЙ!!!!!!!!!!!!!!!", payload={}, color=ButtonColor.NEGATIVE)


# TEST Questions
INPUT_NAME_TEXT = "Пожалуйста, введите имя:"

# 1
WHAT_ENGINEER_ARE_YOU = "Кто ты из инженеров?"
WHAT_ENGINEER_ARE_YOU_KB = Keyboard()
WHAT_ENGINEER_ARE_YOU_KB.add_text_button(text="Маск", payload={"q": "Маск"}, color=ButtonColor.PRIMARY)
WHAT_ENGINEER_ARE_YOU_KB.add_text_button(text="Рогозин", payload={"q": "Рогозин"}, color=ButtonColor.PRIMARY)
WHAT_ENGINEER_ARE_YOU_KB.add_text_button(text="Тесла", payload={"q": "Тесла"}, color=ButtonColor.PRIMARY)
WHAT_ENGINEER_ARE_YOU_KB.add_row()
WHAT_ENGINEER_ARE_YOU_KB.add_text_button(text="Кулибин", payload={"q": "Кулибин"}, color=ButtonColor.PRIMARY)
WHAT_ENGINEER_ARE_YOU_KB.add_text_button(text="Калашников", payload={"q": "Калашников"}, color=ButtonColor.PRIMARY)
WHAT_ENGINEER_ARE_YOU_KB.add_text_button(text="Кондратюк", payload={"q": "Кондратюк"}, color=ButtonColor.PRIMARY)

# 2
PROG_LANG = "Какой ЯП нравится?"
PROG_LANG_KB = Keyboard()
PROG_LANG_KB.add_text_button(text="Python", payload={"q": "Python"}, color=ButtonColor.PRIMARY)
PROG_LANG_KB.add_text_button(text="Pascal", payload={"q": "Pascal"}, color=ButtonColor.PRIMARY)
PROG_LANG_KB.add_text_button(text="C/C++", payload={"q": "ccpp"}, color=ButtonColor.PRIMARY)
PROG_LANG_KB.add_row()
PROG_LANG_KB.add_text_button(text="JS", payload={"q": "JS"}, color=ButtonColor.PRIMARY)
PROG_LANG_KB.add_text_button(text="HTML+CSS", payload={"q": "HTMLCSS"}, color=ButtonColor.PRIMARY)
PROG_LANG_KB.add_text_button(text="Haskel", payload={"q": "Haskel"}, color=ButtonColor.PRIMARY)

# 3
FAV_THEME = "Какой предмет нравится?"
FAV_THEME_KB = Keyboard()
FAV_THEME_KB.add_text_button(text="Матеша", payload={"q": "Матеша"}, color=ButtonColor.PRIMARY)
FAV_THEME_KB.add_text_button(text="Русский/Литра", payload={"q": "русскийлитра"}, color=ButtonColor.PRIMARY)
FAV_THEME_KB.add_text_button(text="Инфа", payload={"q": "Инфа"}, color=ButtonColor.PRIMARY)
FAV_THEME_KB.add_row()
FAV_THEME_KB.add_text_button(text="Физика", payload={"q": "Физика"}, color=ButtonColor.PRIMARY)
FAV_THEME_KB.add_text_button(text="другое", payload={"q": "other"}, color=ButtonColor.PRIMARY)

# 4
EGE = "Как готовился к ЕГЭ?"
EGE_KB = Keyboard()
EGE_KB.add_text_button(text="В школе", payload={"q": "школа"}, color=ButtonColor.PRIMARY)
EGE_KB.add_text_button(text="online", payload={"q": "online"}, color=ButtonColor.PRIMARY)
EGE_KB.add_text_button(text="репетитор", payload={"q": "репетитор"}, color=ButtonColor.PRIMARY)
EGE_KB.add_row()
EGE_KB.add_text_button(text="Сам", payload={"q": "Сам"}, color=ButtonColor.PRIMARY)
EGE_KB.add_text_button(text="wtf?", payload={"q": "wtf"}, color=ButtonColor.PRIMARY)

# 5
TRANS_ENGINEER_COUNT = "Сколько студентов ИШ надо, чтобы включить трансу?"
TRANS_ENGINEER_COUNT_KB = Keyboard()
TRANS_ENGINEER_COUNT_KB.add_text_button(text="1", payload={"q": "1"}, color=ButtonColor.PRIMARY)
TRANS_ENGINEER_COUNT_KB.add_text_button(text="2", payload={"q": "2"}, color=ButtonColor.PRIMARY)
TRANS_ENGINEER_COUNT_KB.add_text_button(text="5", payload={"q": "5"}, color=ButtonColor.PRIMARY)

# 6
ZODIAC = "Кто вы по знаку зодиака?"

# 7
CONTACT = "Введите почту или ник в телеграмме, по которому мы сможем прислать вам результаты"

# last
LAST_MESSAGE = "Спасибо, что прошел тест!"
LAST_MESSAGE_KB = Keyboard()
LAST_MESSAGE_KB.add_text_button(text="Вернуться на главную", payload={}, color=ButtonColor.POSITIVE)


questions = [
    (WHAT_ENGINEER_ARE_YOU, WHAT_ENGINEER_ARE_YOU_KB),
    (PROG_LANG, PROG_LANG_KB),
    (FAV_THEME, FAV_THEME_KB),
    (EGE, EGE_KB),
    (TRANS_ENGINEER_COUNT, TRANS_ENGINEER_COUNT_KB),
    (ZODIAC, None),
    (CONTACT, None),
]
